Package com.independentsoft.graph.sites

# Enum Class ListTemplateType

java.lang.Object
java.lang.Enum<ListTemplateType>
com.independentsoft.graph.sites.ListTemplateType

All Implemented Interfaces:
  `Serializable`, `Comparable<ListTemplateType>`, `Constable`

public enum ListTemplateType extends Enum<ListTemplateType>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ACCESS_REQUEST`
  `ADMIN_TASKS`
  `AGENDA`
  `ANNOUNCEMENTS`
  `APP_DATA_CATALOG`
  `CALL_TRACK`
  `CATEGORIES`
  `CIRCULATION`
  `COMMENTS`
  `CONTACTS`
  `CUSTOM_GRID`
  `DATA_CONNECTION_LIBRARY`
  `DATA_SOURCES`
  `DECISION`
  `DESIGN_CATALOG`
  `DEVELOPER_SITE_DRAFT_APPS`
  `DISCUSSION_BOARD`
  `DOCUMENT_LIBRARY`
  `EVENTS`
  `EXTERNAL_LIST`
  `FACILITY`
  `GANTT_TASKS`
  `GENERIC_LIST`
  `HEALTH_REPORTS`
  `HEALTH_RULES`
  `HELP_LIBRARY`
  `HOLIDAYS`
  `HOME_PAGE_LIBRARY`
  `IMEDIC`
  `INVALID_TYPE`
  `ISSUE_TRACKING`
  `LINKS`
  `LIST_TEMPLATE_CATALOG`
  `MAINTENANCE_LOGS`
  `MASTER_PAGE_CATALOG`
  `MEETING_OBJECTIVE`
  `MEETING_USER`
  `MEETINGS`
  `MY_SITE_DOCUMENT_LIBRARY`
  `NO_CODE_PUBLIC`
  `NO_CODE_WORKFLOWS`
  `NO_LIST_TEMPLATE`
  `PICTURE_LIBRARY`
  `POSTS`
  `SOLUTION_CATALOG`
  `SURVEY`
  `TASKS`
  `TASKS_WITH_TIMELINE_AND_HIERARCHY`
  `TEXT_BOX`
  `THEME_CATALOG`
  `THINGS_TO_BRING`
  `TIMECARD`
  `USER_INFORMATION`
  `WEB_PAGE_LIBRARY`
  `WEB_PART_CATALOG`
  `WEB_TEMPLATE_CATALOG`
  `WHEREABOUTS`
  `WORKFLOW_HISTORY`
  `WORKFLOW_PROCESS`
  `XML_FORM`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static ListTemplateType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static ListTemplateType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ACCESS_REQUEST

    public static final ListTemplateType ACCESS_REQUEST

  - ### ADMIN_TASKS

    public static final ListTemplateType ADMIN_TASKS

  - ### AGENDA

    public static final ListTemplateType AGENDA

  - ### ANNOUNCEMENTS

    public static final ListTemplateType ANNOUNCEMENTS

  - ### APP_DATA_CATALOG

    public static final ListTemplateType APP_DATA_CATALOG

  - ### CALL_TRACK

    public static final ListTemplateType CALL_TRACK

  - ### CATEGORIES

    public static final ListTemplateType CATEGORIES

  - ### CIRCULATION

    public static final ListTemplateType CIRCULATION

  - ### COMMENTS

    public static final ListTemplateType COMMENTS

  - ### CONTACTS

    public static final ListTemplateType CONTACTS

  - ### CUSTOM_GRID

    public static final ListTemplateType CUSTOM_GRID

  - ### DATA_CONNECTION_LIBRARY

    public static final ListTemplateType DATA_CONNECTION_LIBRARY

  - ### DATA_SOURCES

    public static final ListTemplateType DATA_SOURCES

  - ### DECISION

    public static final ListTemplateType DECISION

  - ### DESIGN_CATALOG

    public static final ListTemplateType DESIGN_CATALOG

  - ### DEVELOPER_SITE_DRAFT_APPS

    public static final ListTemplateType DEVELOPER_SITE_DRAFT_APPS

  - ### DISCUSSION_BOARD

    public static final ListTemplateType DISCUSSION_BOARD

  - ### DOCUMENT_LIBRARY

    public static final ListTemplateType DOCUMENT_LIBRARY

  - ### EVENTS

    public static final ListTemplateType EVENTS

  - ### EXTERNAL_LIST

    public static final ListTemplateType EXTERNAL_LIST

  - ### FACILITY

    public static final ListTemplateType FACILITY

  - ### GANTT_TASKS

    public static final ListTemplateType GANTT_TASKS

  - ### GENERIC_LIST

    public static final ListTemplateType GENERIC_LIST

  - ### HEALTH_REPORTS

    public static final ListTemplateType HEALTH_REPORTS

  - ### HEALTH_RULES

    public static final ListTemplateType HEALTH_RULES

  - ### HELP_LIBRARY

    public static final ListTemplateType HELP_LIBRARY

  - ### HOLIDAYS

    public static final ListTemplateType HOLIDAYS

  - ### HOME_PAGE_LIBRARY

    public static final ListTemplateType HOME_PAGE_LIBRARY

  - ### IMEDIC

    public static final ListTemplateType IMEDIC

  - ### ISSUE_TRACKING

    public static final ListTemplateType ISSUE_TRACKING

  - ### LINKS

    public static final ListTemplateType LINKS

  - ### LIST_TEMPLATE_CATALOG

    public static final ListTemplateType LIST_TEMPLATE_CATALOG

  - ### MAINTENANCE_LOGS

    public static final ListTemplateType MAINTENANCE_LOGS

  - ### MASTER_PAGE_CATALOG

    public static final ListTemplateType MASTER_PAGE_CATALOG

  - ### MEETING_OBJECTIVE

    public static final ListTemplateType MEETING_OBJECTIVE

  - ### MEETINGS

    public static final ListTemplateType MEETINGS

  - ### MEETING_USER

    public static final ListTemplateType MEETING_USER

  - ### MY_SITE_DOCUMENT_LIBRARY

    public static final ListTemplateType MY_SITE_DOCUMENT_LIBRARY

  - ### NO_CODE_PUBLIC

    public static final ListTemplateType NO_CODE_PUBLIC

  - ### NO_CODE_WORKFLOWS

    public static final ListTemplateType NO_CODE_WORKFLOWS

  - ### NO_LIST_TEMPLATE

    public static final ListTemplateType NO_LIST_TEMPLATE

  - ### PICTURE_LIBRARY

    public static final ListTemplateType PICTURE_LIBRARY

  - ### POSTS

    public static final ListTemplateType POSTS

  - ### SOLUTION_CATALOG

    public static final ListTemplateType SOLUTION_CATALOG

  - ### SURVEY

    public static final ListTemplateType SURVEY

  - ### TASKS

    public static final ListTemplateType TASKS

  - ### TASKS_WITH_TIMELINE_AND_HIERARCHY

    public static final ListTemplateType TASKS_WITH_TIMELINE_AND_HIERARCHY

  - ### TEXT_BOX

    public static final ListTemplateType TEXT_BOX

  - ### THEME_CATALOG

    public static final ListTemplateType THEME_CATALOG

  - ### THINGS_TO_BRING

    public static final ListTemplateType THINGS_TO_BRING

  - ### TIMECARD

    public static final ListTemplateType TIMECARD

  - ### USER_INFORMATION

    public static final ListTemplateType USER_INFORMATION

  - ### WEB_PAGE_LIBRARY

    public static final ListTemplateType WEB_PAGE_LIBRARY

  - ### WEB_PART_CATALOG

    public static final ListTemplateType WEB_PART_CATALOG

  - ### WEB_TEMPLATE_CATALOG

    public static final ListTemplateType WEB_TEMPLATE_CATALOG

  - ### WHEREABOUTS

    public static final ListTemplateType WHEREABOUTS

  - ### WORKFLOW_HISTORY

    public static final ListTemplateType WORKFLOW_HISTORY

  - ### WORKFLOW_PROCESS

    public static final ListTemplateType WORKFLOW_PROCESS

  - ### XML_FORM

    public static final ListTemplateType XML_FORM

  - ### INVALID_TYPE

    public static final ListTemplateType INVALID_TYPE

- ## Method Details

  - ### values

    public static ListTemplateType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static ListTemplateType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null